-- keyboard.lua -- keyboard responses

function keyboard_update( dt )

	if ky.isDown('left')	then lg.x=lg.x-dt looking_glass:send('x', lg.x ) end
	if ky.isDown('right')	then lg.x=lg.x+dt looking_glass:send('x', lg.x ) end
	if ky.isDown('down')	then lg.y=lg.y-dt looking_glass:send('y', lg.y ) end
	if ky.isDown('up')		then lg.y=lg.y+dt looking_glass:send('y', lg.y ) end
	if ky.isDown( 'a'  )	then lg.x = lg.x - dt looking_glass:send('x', lg.x ) end
	if ky.isDown( 'd'  )	then lg.x = lg.x + dt looking_glass:send('x', lg.x ) end
	if ky.isDown( 'w'  )	then lg.y = lg.y + dt looking_glass:send('y', lg.y ) end
	if ky.isDown( 's'  )	then lg.y = lg.y - dt looking_glass:send('y', lg.y ) end
	if ky.isDown( 'k'  )	then lg.size = lg.size+dt looking_glass:send('size', lg.size ) end
	if ky.isDown( 'j'  )	then lg.size=lg.size>dt and lg.size-dt or lg.size looking_glass:send('size',lg.size) end
	if ky.isDown( 'm'  )	then lg.mag  = lg.mag  + dt looking_glass:send('mag',  lg.mag  ) end
	if ky.isDown( 'n'  )	then lg.mag=lg.mag>1 and lg.mag-0.01 or lg.mag looking_glass:send('mag',lg.mag) end
	if ky.isDown( 'f'  )	then lg.fog=lg.fog<1  and lg.fog+dt or lg.fog looking_glass:send('fog',  lg.fog  ) end
	if ky.isDown( 'g'  )	then lg.fog=lg.fog>dt and lg.fog-dt or lg.fog looking_glass:send('fog',lg.fog) end
	end

function love.keypressed( key )  -- one operation per key press
	if key == 'escape'	then love.event.push('quit')	end
	if key == 'i'		then show.help = not show.help	end
	end
