
-- looking_glass.lua

looking_glass = love.graphics.newPixelEffect [[
		extern float x;
		extern float y;
		extern float size;
		extern float mag;
		extern float fog;
		vec4 effect(vec4 global_color, Image texture, vec2 tc, vec2 pc )
		{vec4 pixel;
		float root = sqrt((x-tc.x)*(x-tc.x)+(y-tc.y)*(y-tc.y));
		if (root <= size)
			{ pixel = Texel(texture, vec2( x-(x-tc.x)/mag, y-(y-tc.y)/mag) );}
			else { pixel = Texel(texture, vec2( tc.x, tc.y ) );pixel.a = fog;}
			return pixel;
			}
		]]

